module Doctest::RSpec

  module DoctestHelpers

    def doctest(source)
      context "doctests for #{source}" do
        Doctest::Core.extract_from(source).each do |doctest|
          it "at #{doctest.original_file}:#{doctest.line}" do
            expect(doctest).to be_a_valid_doctest
          end
        end
      end
    end

  end

end
